# Uses of Class
org.eclipse.mat.query.ContextDerivedData

Packages that use ContextDerivedData
Package
Description
org.eclipse.mat.internal.snapshot
Collects arguments for queries.
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.
org.eclipse.mat.ui.internal.acquire
Acquire heap dumps from other running processes - user interface (not API).

## Uses of ContextDerivedData in org.eclipse.mat.internal.snapshot

Methods in org.eclipse.mat.internal.snapshot that return ContextDerivedData
Modifier and Type
Method
Description
`ContextDerivedData`
SnapshotQueryContext.`getContextDerivedData()`

## Uses of ContextDerivedData in org.eclipse.mat.query

Methods in org.eclipse.mat.query that return ContextDerivedData
Modifier and Type
Method
Description
`ContextDerivedData`
IQueryContext.`getContextDerivedData()`
For example, retained size derived data.

## Uses of ContextDerivedData in org.eclipse.mat.snapshot.query

Subclasses of ContextDerivedData in org.eclipse.mat.snapshot.query
Modifier and Type
Class
Description
`class`
`RetainedSizeDerivedData`
Extract retained size information.

## Uses of ContextDerivedData in org.eclipse.mat.ui.internal.acquire

Methods in org.eclipse.mat.ui.internal.acquire that return ContextDerivedData
Modifier and Type
Method
Description
`ContextDerivedData`
ProviderContextImpl.`getContextDerivedData()`